# Sharing Equality Algorithm

### Dependencies
```bash
sudo apt install mono-mcs graphviz evince
```

### Usage
`make all` creates a file `run.pdf` showing all the steps of the algorithm on a hardcoded example.

The file `example_run.pdf` is such an example. 


### Code

`Algorithm.cs` is the main code of the algorithm, that implements the one in the paper. The other files implement the data structures and auxiliary functions for logging and exporting to `dot`.

### Authors
Emanuele Sinagra <emanuelesinagra@gmail.com>
under the supervision of Claudio Sacerdoti Coen <claudio.sacerdoticoen@unibo.it>

Code updated on May 2019 to the latest version of the paper by <andrea.condoluci@unibo.it>.
